package com.goldenwater.slaj.hidd.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hidd.mapper.BisOrgMonRepRevoMapper;
import com.goldenwater.slaj.hidd.domain.BisOrgMonRepRevo;
import com.goldenwater.slaj.hidd.service.IBisOrgMonRepRevoService;

/**
 * 月报修订记录 服务层实现
 */
@Service
public class BisOrgMonRepRevoServiceImpl implements IBisOrgMonRepRevoService {

    @Autowired
    private BisOrgMonRepRevoMapper bisOrgMonRepRevoMapper;

    /**
     * 查询月报修订记录信息
     * @param guid 查询条件
     * @return 月报修订记录信息
     */
    @Override
    public BisOrgMonRepRevo selectBisOrgMonRepRevoByGuid(String guid) {
        return bisOrgMonRepRevoMapper.selectBisOrgMonRepRevoByGuid(guid);
    }

    /**
     * 查询月报修订记录列表
     * @param bisOrgMonRepRevo 月报修订记录查询条件
     * @return 月报修订记录集合
     */
    @Override
    public List<BisOrgMonRepRevo> selectBisOrgMonRepRevoList(BisOrgMonRepRevo bisOrgMonRepRevo) {
        return bisOrgMonRepRevoMapper.selectBisOrgMonRepRevoList(bisOrgMonRepRevo);
    }

    /**
     * 新增月报修订记录
     * @param bisOrgMonRepRevo 月报修订记录信息
     * @return 影响行数
     */
    @Override
    public int insertBisOrgMonRepRevo(BisOrgMonRepRevo bisOrgMonRepRevo) {
        return bisOrgMonRepRevoMapper.insertBisOrgMonRepRevo(bisOrgMonRepRevo);
    }

    /**
     * 修改月报修订记录
     * @param bisOrgMonRepRevo 月报修订记录信息
     * @return 影响行数
     */
    @Override
    public int updateBisOrgMonRepRevo(BisOrgMonRepRevo bisOrgMonRepRevo) {
        return bisOrgMonRepRevoMapper.updateBisOrgMonRepRevo(bisOrgMonRepRevo);
    }

    /**
     * 删除月报修订记录
     * @param guid 月报修订记录主键
     * @return 影响行数
     */
    @Override
    public int deleteBisOrgMonRepRevoByGuid(String guid) {
        return bisOrgMonRepRevoMapper.deleteBisOrgMonRepRevoByGuid(guid);
    }

    /**
     * 批量删除月报修订记录
     * @param guids 月报修订记录主键数组
     * @return 影响行数
     */
    @Override
    public int deleteBisOrgMonRepRevoByGuids(String[] guids) {
        return bisOrgMonRepRevoMapper.deleteBisOrgMonRepRevoByGuids(guids);
    }
}
